# Uses of Class
org.apache.lucene.index.FilterDirectoryReader.SubReaderWrapper

Packages that use FilterDirectoryReader.SubReaderWrapper
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of FilterDirectoryReader.SubReaderWrapper in org.apache.lucene.index

  Subclasses of FilterDirectoryReader.SubReaderWrapper in org.apache.lucene.index
  Modifier and Type
  Class
  Description
  `static class`
  `ExitableDirectoryReader.ExitableSubReaderWrapper`
  Wrapper class for a SubReaderWrapper that is used by the ExitableDirectoryReader.
  Constructors in org.apache.lucene.index with parameters of type FilterDirectoryReader.SubReaderWrapper
  Modifier
  Constructor
  Description
  ``
  `FilterDirectoryReader(DirectoryReader in, FilterDirectoryReader.SubReaderWrapper wrapper)`
  Create a new FilterDirectoryReader that filters a passed in DirectoryReader, using the supplied SubReaderWrapper to wrap its subreader.